curl --request POST \
--url https://api.example.com/v2/analytics/predicted-overdue \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"as_of_date": "2023-12-25",
"tiers": [
{
"days": 1,
"amount_lc": "<string>"
}
],
"business_unit_id__in": [
"<string>"
]
}
'import requests
url = "https://api.example.com/v2/analytics/predicted-overdue"
payload = {
"as_of_date": "2023-12-25",
"tiers": [
{
"days": 1,
"amount_lc": "<string>"
}
],
"business_unit_id__in": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
as_of_date: '2023-12-25',
tiers: [{days: 1, amount_lc: '<string>'}],
business_unit_id__in: ['<string>']
})
};
fetch('https://api.example.com/v2/analytics/predicted-overdue', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"as_of_date": "2023-12-25",
"currency": "ADP",
"tiers": [
{
"days": 1,
"amount_lc": "<string>"
}
],
"customers": [
{
"partner_id": "<string>",
"partner_name": "<string>",
"partner_account_number": "<string>",
"total_open_lc": "<string>",
"tripped_tiers": [
{
"days": 1,
"amount_threshold_lc": "<string>",
"amount_lc": "<string>",
"invoice_count": 1,
"trip_probability": 0.5
}
],
"history_count": 1
}
]
}{
"type": "request-validation",
"status": 422,
"title": "<string>",
"errors": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
],
"detail": "<string>"
}Get Predicted Overdue Endpoint
AMETEK AR-1 ‘naughty list’: customers whose aged-overdue LC balance trips any of the supplied tier rules at the selected as-of date. On-demand (POST) because the query scans all open invoices.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Date at which to evaluate aging (typically end of quarter).
AR-1 tier rules. A customer appears if any tier's aged-overdue LC balance exceeds its threshold. Capped at 10 tiers to keep the aggregate SQL column count bounded.
1 - 10 elementsShow child attributes
Show child attributes
Filter by business unit IDs
Response
Successful Response
Organization's base currency (LC).
ADP, AED, AFA, AFN, ALK, ALL, AMD, ANG, AOA, AOK, AON, AOR, ARA, ARL, ARM, ARP, ARS, ATS, AUD, AWG, AZM, AZN, BAD, BAM, BAN, BBD, BDT, BEC, BEF, BEL, BGL, BGM, BGN, BGO, BHD, BIF, BMD, BND, BOB, BOL, BOP, BOV, BRB, BRC, BRE, BRL, BRN, BRR, BRZ, BSD, BTN, BUK, BWP, BYB, BYN, BYR, BZD, CAD, CDF, CHE, CHF, CHW, CLE, CLF, CLP, CNH, CNX, CNY, COP, COU, CRC, CSD, CSK, CUC, CUP, CVE, CYP, CZK, DDM, DEM, DJF, DKK, DOP, DZD, ECS, ECV, EEK, EGP, ERN, ESA, ESB, ESP, ETB, EUR, FIM, FJD, FKP, FRF, GBP, GEK, GEL, GHC, GHS, GIP, GMD, GNF, GNS, GQE, GRD, GTQ, GWE, GWP, GYD, HKD, HNL, HRD, HRK, HTG, HUF, IDR, IEP, ILP, ILR, ILS, INR, IQD, IRR, ISJ, ISK, ITL, JMD, JOD, JPY, KES, KGS, KHR, KMF, KPW, KRH, KRO, KRW, KWD, KYD, KZT, LAK, LBP, LKR, LRD, LSL, LTL, LTT, LUC, LUF, LUL, LVL, LVR, LYD, MAD, MAF, MCF, MDC, MDL, MGA, MGF, MKD, MKN, MLF, MMK, MNT, MOP, MRO, MRU, MTL, MTP, MUR, MVP, MVR, MWK, MXN, MXP, MXV, MYR, MZE, MZM, MZN, NAD, NGN, NIC, NIO, NLG, NOK, NPR, NZD, OMR, PAB, PEI, PEN, PES, PGK, PHP, PKR, PLN, PLZ, PTE, PYG, QAR, RHD, ROL, RON, RSD, RUB, RUR, RWF, SAR, SBD, SCR, SDD, SDG, SDP, SEK, SGD, SHP, SIT, SKK, SLE, SLL, SOS, SRD, SRG, SSP, STD, STN, SUR, SVC, SYP, SZL, THB, TJR, TJS, TMM, TMT, TND, TOP, TPE, TRL, TRY, TTD, TWD, TZS, UAH, UAK, UGS, UGX, USD, USN, USS, UYI, UYP, UYU, UYW, UZS, VEB, VED, VEF, VES, VND, VNN, VUV, WST, XAF, XAG, XAU, XBA, XBB, XBC, XBD, XCD, XCG, XDR, XEU, XFO, XFU, XOF, XPD, XPF, XPT, XRE, XSU, XTS, XUA, XXX, YDD, YER, YUD, YUM, YUN, YUR, ZAL, ZAR, ZMK, ZMW, ZRN, ZRZ, ZWD, ZWL, ZWR Tiers echoed from the request.
Show child attributes
Show child attributes
Customers tripping at least one tier, sorted by largest tripped amount desc.
Show child attributes
Show child attributes
